Package com.independentsoft.office.spreadsheet

# Class DefinedName

java.lang.Object
com.independentsoft.office.spreadsheet.DefinedName

public class DefinedName extends Object
The Class DefinedName.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefinedName()`
  Instantiates a new defined name.
  `DefinedName​(String name)`
  Instantiates a new defined name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefinedName`
  `clone()`
  `String`
  `getBody()`
  Gets the body.
  `String`
  `getComment()`
  Gets the comment.
  `String`
  `getCustomMenuText()`
  Gets the custom menu text.
  `String`
  `getDescription()`
  Gets the description.
  `FunctionGroupCategory`
  `getFunctionGroup()`
  Gets the function group.
  `String`
  `getHelp()`
  Gets the help.
  `int`
  `getLocalSheetID()`
  Gets the local sheet id.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getShortcutKey()`
  Gets the shortcut key.
  `String`
  `getStatusBar()`
  Gets the status bar.
  `boolean`
  `isExternalFunction()`
  Checks if is external function.
  `boolean`
  `isFunction()`
  Checks if is function.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isProcedure()`
  Checks if is procedure.
  `boolean`
  `isPublishToServer()`
  Checks if is publish to server.
  `boolean`
  `isWorkbookParameter()`
  Checks if is workbook parameter.
  `void`
  `setBody​(String body)`
  Sets the body.
  `void`
  `setComment​(String comment)`
  Sets the comment.
  `void`
  `setCustomMenuText​(String customMenuText)`
  Sets the custom menu text.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setExternalFunction​(boolean isExternalFunction)`
  Sets the external function.
  `void`
  `setFunction​(boolean isFunction)`
  Sets the function.
  `void`
  `setFunctionGroup​(FunctionGroupCategory functionGroup)`
  Sets the function group.
  `void`
  `setHelp​(String help)`
  Sets the help.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setLocalSheetID​(int localSheetID)`
  Sets the local sheet id.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setProcedure​(boolean isProcedure)`
  Sets the procedure.
  `void`
  `setPublishToServer​(boolean publishToServer)`
  Sets the publish to server.
  `void`
  `setShortcutKey​(String shortcutKey)`
  Sets the shortcut key.
  `void`
  `setStatusBar​(String statusBar)`
  Sets the status bar.
  `void`
  `setWorkbookParameter​(boolean isWorkbookParameter)`
  Sets the workbook parameter.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefinedName

    public DefinedName()
    Instantiates a new defined name.

  - ### DefinedName

    public DefinedName​(String name)
    Instantiates a new defined name.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public DefinedName clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getComment

    public String getComment()
    Gets the comment.
    Returns:
      the comment

  - ### setComment

    public void setComment​(String comment)
    Sets the comment.
    Parameters:
      `comment` - the new comment

  - ### getCustomMenuText

    public String getCustomMenuText()
    Gets the custom menu text.
    Returns:
      the custom menu text

  - ### setCustomMenuText

    public void setCustomMenuText​(String customMenuText)
    Sets the custom menu text.
    Parameters:
      `customMenuText` - the new custom menu text

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### isFunction

    public boolean isFunction()
    Checks if is function.
    Returns:
      true, if is function

  - ### setFunction

    public void setFunction​(boolean isFunction)
    Sets the function.
    Parameters:
      `isFunction` - the new function

  - ### getFunctionGroup

    public FunctionGroupCategory getFunctionGroup()
    Gets the function group.
    Returns:
      the function group

  - ### setFunctionGroup

    public void setFunctionGroup​(FunctionGroupCategory functionGroup)
    Sets the function group.
    Parameters:
      `functionGroup` - the new function group

  - ### getHelp

    public String getHelp()
    Gets the help.
    Returns:
      the help

  - ### setHelp

    public void setHelp​(String help)
    Sets the help.
    Parameters:
      `help` - the new help

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden

  - ### getLocalSheetID

    public int getLocalSheetID()
    Gets the local sheet id.
    Returns:
      the local sheet id

  - ### setLocalSheetID

    public void setLocalSheetID​(int localSheetID)
    Sets the local sheet id.
    Parameters:
      `localSheetID` - the new local sheet id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isPublishToServer

    public boolean isPublishToServer()
    Checks if is publish to server.
    Returns:
      true, if is publish to server

  - ### setPublishToServer

    public void setPublishToServer​(boolean publishToServer)
    Sets the publish to server.
    Parameters:
      `publishToServer` - the new publish to server

  - ### getShortcutKey

    public String getShortcutKey()
    Gets the shortcut key.
    Returns:
      the shortcut key

  - ### setShortcutKey

    public void setShortcutKey​(String shortcutKey)
    Sets the shortcut key.
    Parameters:
      `shortcutKey` - the new shortcut key

  - ### getStatusBar

    public String getStatusBar()
    Gets the status bar.
    Returns:
      the status bar

  - ### setStatusBar

    public void setStatusBar​(String statusBar)
    Sets the status bar.
    Parameters:
      `statusBar` - the new status bar

  - ### isProcedure

    public boolean isProcedure()
    Checks if is procedure.
    Returns:
      true, if is procedure

  - ### setProcedure

    public void setProcedure​(boolean isProcedure)
    Sets the procedure.
    Parameters:
      `isProcedure` - the new procedure

  - ### isWorkbookParameter

    public boolean isWorkbookParameter()
    Checks if is workbook parameter.
    Returns:
      true, if is workbook parameter

  - ### setWorkbookParameter

    public void setWorkbookParameter​(boolean isWorkbookParameter)
    Sets the workbook parameter.
    Parameters:
      `isWorkbookParameter` - the new workbook parameter

  - ### isExternalFunction

    public boolean isExternalFunction()
    Checks if is external function.
    Returns:
      true, if is external function

  - ### setExternalFunction

    public void setExternalFunction​(boolean isExternalFunction)
    Sets the external function.
    Parameters:
      `isExternalFunction` - the new external function

  - ### getBody

    public String getBody()
    Gets the body.
    Returns:
      the body

  - ### setBody

    public void setBody​(String body)
    Sets the body.
    Parameters:
      `body` - the new body